Subject: Re: [PATCH 1/4] string-list: allow passing NULL for `get_entry_index`

From: shejialuo <[email-masked]>
Date: Mon, 15 Sep 2025 20:08:10 +0800

On Mon, Sep 08, 2025 at 09:48:12AM -0700, Junio C Hamano wrote:
> shejialuo <[email-masked]> writes:
> 
> > Callers of `get_entry_index()` are required to pass a non-NULL
> > `exact_match` parameter to receive information about whether an exact
> > match is found. However, in some cases, callers only need the index
> > position.
> >
> > Let's allow callers to pass NULL for the `exact_match` parameter
> > when they don't need this information, reducing unnecessary variable
> > declarations in calling code.
> >
> > Signed-off-by: shejialuo <[email-masked]>
> > ---
> >  string-list.c | 6 ++++--
> >  1 file changed, 4 insertions(+), 2 deletions(-)
> 
> I do not quite see the point of adding these conditional assignments
> to clutter the control flow.  What benefit do these callers gain by
> not having to have a throw-away int variable on the stack and
> passing its address to the call chain?
> 

I want to make the commit small. However, I have introduced confusion to
the reviewers. I would rebase the first commit and second commit into
one commit to improve this.

Thanks,
Jialuo